/* footer */

.footer {
    position: -webkit-sticky;
    position: sticky;
    left: 0;
    bottom: 0;
    width: 100%;
    background-color: #333;
    color:#f1f1f1;
    text-align: center;
    font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
    }

/* nav bar */

.topnav {
    overflow: hidden;
    background-color: #333;
    }

.topnav a {
     float: left;
    display: block;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    }

.topnav a:hover {
    background-color: #ddd;
    color: black;
    }

/* for search button in nav bar*/

.topnav a.active {
    background-color: #2196F3;
    color: white;
    }

.topnav .search-container {
    float: right;
    }

.topnav input[type=text] {
    padding: 6px;
    margin-top: 8px;
    font-size: 17px;
    border: none;
    }

.topnav .search-container button {
    float: right;
    padding: 6px;
    margin-top: 8px;
    margin-right: 16px;
    background: #ddd;
    font-size: 17px;
    border: none;
    cursor: pointer;
    }

.topnav .search-container button:hover {
    background: #ccc;
    }

@media screen and (max-width: 600px) {
    .topnav .search-container {
    float: none;
    }

.topnav a, .topnav input[type=text], .topnav .search-container button {
    float: none;
    display: block;
    text-align: left;
    width: 100%;
    margin: 0;
    padding: 14px;
    }

.topnav input[type=text] {
    border: 1px solid #ccc;  
    }
    }


/* form design*/

form.example input[type=text] {
        padding: 10px;
        font-size: 17px;
        border: 1px solid grey;
        float: left;
        width: 80%;
        background: #f1f1f1;
    }   

form.example button {
        float: left;
        width: 20%;
        padding: 10px;
        background: #2196F3;
        color: white;
        font-size: 17px;
        border: 1px solid grey;
        border-left: none;
        cursor: pointer;
}

form.example button:hover {
        background: #0b7dda;
}

form.example::after {
        content: "";
        clear: both;
        display: table;
}

/* login css */

input[type=text], input[type=password] {                    
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    box-sizing: border-box;
}

button {
    background-color: black;
    color: white;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    cursor: pointer;
    width: 100%;
    }

/* header for welcome page*/
.header {
    background-color: #f1f1f1;
    padding: 20px;
    text-align: center;
  }

/* icon container for basket page*/

.icon-container {
    margin-bottom: 20px;
    padding: 7px 0;
    font-size: 24px;
    }

.container {
    background-color: #f2f2f2;
    padding: 5px 20px 15px 20px;
    border: 1px solid lightgrey;
    border-radius: 3px;
    }

/* booking vehicle css*/

h1 {
    background-color: darkblue;
    color: white;
    padding: 16px 20px;
    margin: 8px 0;
    border: none;
    cursor: pointer;
    width: 100%;
    opacity: 0.9;
    text-align: center;
}
input[type=text] {
    width: 100%;
    padding: 15px;
    margin: 5px 0 22px 0;
    display: inline-block;
    border: none;
    background: #f1f1f1;
}

.bookbutton {
    background-color: black;
    color: white;
    padding: 16px 20px;
    margin: 8px 0;
    border: none;
    cursor: pointer;
    width: 100%;
    opacity: 0.9;
}

input[type=submit]:hover {
    background-color: #45a049;
    }

/* contact css*/

body {font-family: Arial, Helvetica, sans-serif;}
* {box-sizing: border-box;}

input[type=text], select, textarea {
        width: 100%;
        padding: 12px;
        border: 1px solid #ccc;
        border-radius: 4px;
        box-sizing: border-box;
        margin-top: 6px;
        margin-bottom: 16px;
        resize: vertical;
        }

input[type=submit] {
        background-color: #333;
        color: white;
        padding: 12px 20px;
        border: none;
        border-radius: 4px;
        cursor: pointer;
        }

input[type=submit]:hover {
        background-color: #45a049;
        }

.container {
        border-radius: 5px;
        background-color: beige;
        padding: 20px;
      }

/* contact */

ul {
    list-style-type:none;
    margin: 2;
    padding: 2;
}

/* main */

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: #333;
  }
  
  li {
    float: left;
  }
  
  li a {
    display: block;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
  }
  
  li a:hover {
    background-color: #111;
  }

